/************************************************************************************************
*												*
*					RFM12 TRANSMITTION					*
*				      ======================					*
*												*
*	Version: 	0.0									*
*												*
*	Autor:		lightninglord								*
*												*
*	Controller:	ATMEGA88								*
*	Clock:		10MHz (1MHz) XTAL1 ext. RFM12						*
*												*
************************************************************************************************/
#include <avr/io.h>
#include "RFM12.h"

#define F_CPU 8000000UL
#include <util/delay.h>

#define LED_on() PORTB |= (1<<0);
#define LED_off() PORTB &= ~(1<<0);

unsigned char csum, i,a;

void main(void){
	

	DDRB |= (1<<0);

	for(i=0;i<3;i++){
	LED_on();
	for(a=0;a<10;a++)_delay_ms(50);
	LED_off();
	for(a=0;a<10;a++)_delay_ms(50);}

	RFM12_init();

 while(1){

	csum =0x00;
	RFM12_starttx();
	
	LED_on();

	RFM12_data(0x30);
	csum += 0x30;
	RFM12_data(0x31);
	csum += 0x31;
	RFM12_data(0x32);
	csum += 0x32;
	RFM12_data(0x33);
	csum += 0x33;
	RFM12_data(0x34);
	csum += 0x34;
	RFM12_data(0x35);
	csum += 0x35;
	RFM12_data(0x36);
	csum += 0x36;
	RFM12_data(0x37);
	csum += 0x37;
	RFM12_data(0x38);
	csum += 0x38;
	RFM12_data(0x39);
	csum += 0x39;
	RFM12_data(0x3A);
	csum += 0x3A;
	RFM12_data(0x3B);
	csum += 0x3B;
	RFM12_data(0x3C);
	csum += 0x3C;
	RFM12_data(0x3D);
	csum += 0x3D;
	RFM12_data(0x3E);
	csum += 0x3E;
	RFM12_data(0x3F);
	csum += 0x3F;
	RFM12_data(csum);

	RFM12_stoptx();
	
	_delay_ms(200);
	LED_off();
	
	for(i=0; i<98;i++) _delay_ms(100);
}

}